WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: apache2-mod-php5  (Read 4101 times)

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 9667
apache2-mod-php5
« on: June 16, 2010, 01:42:09 PM »
Thanks to Robert Schumann for:

Code: [Select]
Title: apache2-mod-php5.tcz
Description: php5 - Apache 2 module and extensions
Version: 5.3.2
Author: Various
Original-site: http://www.php.net
Copying-policy: GPL (see /usr/local/share/doc/License/apache2-mod-php5.txt)
Size: 2.2M
Extension_by: Robert Schumann
Comments: For use with apache2.tcz extension. This extension does not depend on php5.tcz, nor are they related.
Suhosin extension is included.
Edit /usr/local/apache2/conf/php5/php.ini to your needs and add to backup.
Do the same with the extension configuration files in /usr/local/apache2/conf/php5/extensions/.
Add the following to your httpd.conf:

LoadModule php5_module modules/mod_php5.so
<IfModule php5_module>
    AddType application/x-httpd-php .php
</IfModule>

Then restart your server. For included extensions you need special
additional libraries:

usr/local/lib/php/extensions/no-debug-zts-20090626/bz2.so bzip2-lib.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/curl.so curl.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/gd.so libgd.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/gettext.so gettext.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/gmp.so gmp.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/iconv.so libiconv.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/ldap.so libldap.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/mcrypt.so libmcrypt.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/mysql.so mysql.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/mysqli.so mysql.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/openssl.so openssl-0.9.8.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/pdo_mysql.so mysql.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/pdo_sqlite.so sqlite3.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/readline.so readline.tcz
usr/local/lib/php/extensions/no-debug-zts-20090626/sqlite3.so sqlite3.tcz

    ---
This extension is PPI compatible.
This extension uses recursion for dependencies and requires tinycore >= 2.10.
Change-log:
Current: 2010/05/30 Initial version 5.3.2


Offline StXh

  • WikiUser
  • *
  • Posts: 14
Re: apache2-mod-php5
« Reply #1 on: July 02, 2010, 02:07:22 AM »
Can't load pdo_mysql.so.
If I add this extension, httpd will hung

Offline gutmensch

  • Administrator
  • Hero Member
  • *****
  • Posts: 606
  • I can make it disappear, have no fear!
    • remembrance blog
Re: apache2-mod-php5
« Reply #2 on: July 02, 2010, 02:58:31 AM »
Confirmed... mysql and mysqli are working. Gotta check against the compile...
If I seem unduly clear to you, you must have misunderstood what I said. (Alan Greenspan)

Offline gutmensch

  • Administrator
  • Hero Member
  • *****
  • Posts: 606
  • I can make it disappear, have no fear!
    • remembrance blog
Re: apache2-mod-php5
« Reply #3 on: July 02, 2010, 04:33:25 AM »
Error seems to be fixed, new version is in upstream... ;-)
If I seem unduly clear to you, you must have misunderstood what I said. (Alan Greenspan)

Offline StXh

  • WikiUser
  • *
  • Posts: 14
Re: apache2-mod-php5
« Reply #4 on: July 05, 2010, 09:21:57 PM »
Thank you. It worked well!  :)

Offline StXh

  • WikiUser
  • *
  • Posts: 14
Re: apache2-mod-php5
« Reply #5 on: August 11, 2010, 01:23:44 AM »
How can I compile  extension for apache2-mod-php5?
I want use php_screw from http://sourceforge.net/projects/php-screw/ .
I installed php5-dev, apache2-mod-php5-dev and other build tools.
But after making, and add php_screw.ini, and put the php_screw.so in folder usr/local/lib/php/extensions/no-debug-zts-20090626/, it can not be loaded.

Offline gutmensch

  • Administrator
  • Hero Member
  • *****
  • Posts: 606
  • I can make it disappear, have no fear!
    • remembrance blog
Re: apache2-mod-php5
« Reply #6 on: August 11, 2010, 01:33:34 AM »
To load both dev extensions is definitely wrong because php5 and apache2-mod-php5 are not related. You should only load apache2-mod-php5-dev if you want to use it with the apache module. I included the suhosin extension which compiled and worked well with the apache2-mod-php5-dev files, so without any other information I don't know what's causing your problem ;) I see that the last version of php-screw is nearly 3 years old, maybe you should ask the maintainer, whether it's compatible to php 5.3 (which is quite new). Otherwise provide information like php error logs, apache error logs, ldd *.so and the output of configure/make.
If I seem unduly clear to you, you must have misunderstood what I said. (Alan Greenspan)